<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ImageDetails extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("images", function (Blueprint $table) {
            $table->boolean("exifRead")->default(false);
            $table->dateTime("DateTimeOriginal")->nullable()->default(null);
            $table->integer("rating")->default(100);
            $table->string("name")->nullable()->default(null);
            $table->mediumText("description")->nullable()->default(null);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
